Bug 221940 - net-p2p/deluge-cli: use github as mastersite, add dependency
Summary: net-p2p/deluge-cli: use github as mastersite, add dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2017-08-30 15:44 UTC by Johannes Jost Meixner
Modified: 2017-09-14 21:33 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (rm)


Attachments
deluge 1.3.15_2 (1.63 KB, patch)
2017-08-30 15:44 UTC, Johannes Jost Meixner
no flags Details | Diff
poudriere buildlog (400.08 KB, text/x-log)
2017-08-30 15:45 UTC, Johannes Jost Meixner
no flags Details
deluge 1.3.15_2 with USE_GITHUB (1.60 KB, patch)
2017-08-31 03:49 UTC, Johannes Jost Meixner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Jost Meixner freebsd_committer 2017-08-30 15:44:29 UTC
Created attachment 185924 [details]
deluge 1.3.15_2

- Use Github archives in MASTER_SITES
- Add explicit dependency on security/py-service_identity
  This was formerly a twisted dependency and was removed in the meantime
Comment 1 Johannes Jost Meixner freebsd_committer 2017-08-30 15:45:16 UTC
Created attachment 185925 [details]
poudriere buildlog
Comment 2 Johannes Jost Meixner freebsd_committer 2017-08-31 03:49:58 UTC
Created attachment 185942 [details]
deluge 1.3.15_2 with USE_GITHUB

Attached a redo of the original patch, using USE_GITHUB and the GH_* foo to download deluge.
Comment 3 Johannes Jost Meixner freebsd_committer 2017-09-14 15:51:45 UTC
maintainer timeout
Comment 4 commit-hook freebsd_committer 2017-09-14 21:31:51 UTC
A commit references this bug:

Author: cpm
Date: Thu Sep 14 21:31:18 UTC 2017
New revision: 449856
URL: https://svnweb.freebsd.org/changeset/ports/449856

Log:
  - Add explicit dependency on security/py-service_identity
  - Switch to USE_GITHUB and the GH_* foo
  - Update WWW in pkg-descr
  - Bump PORTREVISION

  While I'm here, pet portlint, CATEGORIES appears out-of-order and USE_* comes
  before USES.

  PR:		221940
  Submitted by:	xmj
  Approved by:	rm (maintainer timeout, 2 weeks)

Changes:
  head/net-p2p/deluge-cli/Makefile
  head/net-p2p/deluge-cli/distinfo
  head/net-p2p/deluge-cli/pkg-descr
Comment 5 Carlos J. Puga Medina freebsd_committer 2017-09-14 21:33:49 UTC
Committed!

Thanks